import MTn96 from './MTn96'
import MTn95 from './MTn95'
import MTn92 from './MTn92'
import MTn99 from './MTn99'
import MT760 from './MT760'
import MT420 from './MT420'
import MT750 from './MT750'
import MT410 from './MT410'
import MT740 from './MT740'
import MT103 from './MT103'
import MT202 from './MT202'
import MT422 from './MT422'
import MT499 from './MT499'
import MT752 from './MT752'
import MT732 from './MT732'
import MT754 from './MT754'
import MT700 from './MT700'
import MT799 from './MT799'
import MT701 from './MT701'
import MT767 from './MT767'
import MT768 from './MT768'
import MT747 from './MT747'
import MT769 from './MT769'
import MT707 from './MT707'
import MT759 from './MT759'
import MT940 from './MT940'
import MT950 from './MT950'

import MT761 from './MT761'
import MT775 from './MT775'


import MT202COV from './MT202COV'
export default function MTFactory(mty) 
{
	
	if(mty=="mt202cov")
		return MT202COV
	if(mty=="mt760")
		return MT760
	if(mty=="mt759")
		return MT759
	if(mty=="mt420")
		return MT420
	if(mty=="mt750")
		return MT750
	if(mty=="mt410")
		return MT410
	if(mty=="mt740")
		return MT740
	if(mty=="mt103")
		return MT103
	if(mty=="mt202")
		return MT202
	if(mty=="mt422")
		return MT422
	if(mty=="mt499")
		return MT499
	if(mty=="mt752")
		return MT752
	if(mty=="mt732")
		return MT732
	if(mty=="mt754")
		return MT754
	if(mty=="mt700")
		return MT700
	if(mty=="mt799")
		return MT799
	if(mty=="mt701")
		return MT701
	if(mty=="mt767")
		return MT767
	if(mty=="mt768")
		return MT768
	if(mty=="mt747")
		return MT747
	if(mty=="mt769")
		return MT769
	if(mty=="mt707")
		return MT707
	if(mty=='mt940')
		return MT940
	if(mty=='mt950')
		return MT950
	if(mty=='mt761')
		return MT761
	if(mty=='mt775')
		return MT775
	if(/mt\d96/.test(mty))
		return MTn96
	if(/mt\d95/.test(mty))
		return MTn95
	if(/mt\d99/.test(mty))
		return MTn99
	if(/mt\d92/.test(mty))
		return MTn92
}